/********************************************************************************
 * Copyright (c) 2021-2023 Bayerische Motoren Werke Aktiengesellschaft (BMW AG)
 *
 * This program and the accompanying materials are made available under the
 * terms of the Eclipse Public License 2.0 which is available at
 * http://www.eclipse.org/legal/epl-2.0.
 *
 * SPDX-License-Identifier: EPL-2.0
 ********************************************************************************/

#include "Storyboard/GenericAction/TrafficSignalStateAction_impl.h"

namespace OpenScenarioEngine::v1_2
{
bool TrafficSignalStateAction::Step()
{
  mantle.environment->SetTrafficSignalState(values.name, values.state);
  return true;
}

}  // namespace OpenScenarioEngine::v1_2