/********************************************************************************
 * Copyright (c) 2021-2023 Bayerische Motoren Werke Aktiengesellschaft (BMW AG)
 *
 * This program and the accompanying materials are made available under the
 * terms of the Eclipse Public License 2.0 which is available at
 * http://www.eclipse.org/legal/epl-2.0.
 *
 * SPDX-License-Identifier: EPL-2.0
 ********************************************************************************/

#include "Conversion/OscToNode/ParseCatalogReferences.h"

#include <agnostic_behavior_tree/composite/parallel_node.h>

#include <memory>

#include "Utils/Logger.h"

namespace OpenScenarioEngine::v1_2
{
yase::BehaviorNode::Ptr parse(std::vector<std::shared_ptr<NET_ASAM_OPENSCENARIO::v1_2::ICatalogReference>> catalogReferences)
{
  Logger::Error("Parsing of std::vector<std::shared_ptr<NET_ASAM_OPENSCENARIO::v1_2::ICatalogReference>> not implemented yet");
  return std::make_shared<yase::ParallelNode>("CatalogReferences");
}

}  // namespace OpenScenarioEngine::v1_2